### Signal

# SpiceClientGLib Channel::channel-event

#### Declaration

    void
    channel_event (
      SpiceChannel* self,
      SpiceChannelEvent event,
      gpointer user_data
    )

#### Description [src]

The `SpiceChannel::channel-event` signal is emitted when the state of the connection is changed. In case of errors, `spice_channel_get_error()` may provide additional informations on the source of the error.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `SpiceChannelEvent`

  A `SpiceChannelEvent`.